<?php
/**
 * Adds Ajax for Clear Stats button
 * clear stats for all variations
 */
add_action( 'wp_ajax_nopriv_lp_clear_stats_action', 'lp_clear_stats_action' );
add_action( 'wp_ajax_lp_clear_stats_action', 'lp_clear_stats_action' );
function lp_clear_stats_action()
{
	global $wpdb;

	$newrules = "0";
	$post_id = mysql_real_escape_string($_POST['page_id']);

	$variations = get_post_meta($post_id, 'lp-ab-variations', true);
	if ($variations)
	{
		$variations = explode(",", $variations);
		foreach ($variations as $vid)
		{
		add_post_meta( $post_id, 'lp-ab-variation-impressions-'.$vid, $newrules, true ) or update_post_meta( $post_id, 'lp-ab-variation-impressions-'.$vid, $newrules );
		add_post_meta( $post_id, 'lp-ab-variation-conversions-'.$vid, $newrules, true ) or update_post_meta( $post_id, 'lp-ab-variation-conversions-'.$vid, $newrules );
		}
	}
	header('HTTP/1.1 200 OK');
}

/**
 * Adds Ajax for Clear Stats button
 * clear stats for single variations
 */
add_action( 'wp_ajax_nopriv_lp_clear_stats_single', 'lp_clear_stats_single' );
add_action( 'wp_ajax_lp_clear_stats_single', 'lp_clear_stats_single' );
function lp_clear_stats_single() {
	global $wpdb;

	$newrules = "0";
	$post_id = mysql_real_escape_string($_POST['page_id']);
	$vid = $_POST['variation'];

	add_post_meta( $post_id, 'lp-ab-variation-impressions-'.$vid, $newrules, true ) or update_post_meta( $post_id, 'lp-ab-variation-impressions-'.$vid, $newrules );
	add_post_meta( $post_id, 'lp-ab-variation-conversions-'.$vid, $newrules, true ) or update_post_meta( $post_id, 'lp-ab-variation-conversions-'.$vid, $newrules );

	header('HTTP/1.1 200 OK');
}


/**
 * Click tracking moved to module.click-tracking.php
*/



/**
 * Adds ajax to record landing page impressions
 * future plans to integrate with google analytics
*/
add_action('wp_ajax_lp_record_impression', 'lp_record_impression_callback');
add_action('wp_ajax_nopriv_lp_record_impression', 'lp_record_impression_callback');

function lp_record_impression_callback() {
	global $wpdb; // this is how you get access to the database
	global $user_ID;

	$disable_admin_tracking = get_option( 'lp-main-landing-page-disable-admin-tracking', '0' );

	$role = get_userdata( $user_ID );

	$current_url = trim($_POST['current_url']);
	$variation_id = $_POST['variation_id'];

	$page_id = lp_url_to_postid( $current_url );


	if ( $disable_admin_tracking && current_user_can( 'manage_options' ) )
	{
		_e( "admin tracking disabled" , 'landing-pages' );
		die();
	}

	if (!lp_determine_spider() )
	{
		lp_set_page_views($page_id);
	}

	do_action('lp_record_impression',$page_id,$variation_id);

	print $page_id;
	die();
}

// Lead storage moved to /shared/tracking/


/**
 * Adds Ajax Template Selection
 * @return prints out landing page meta options
 */
add_action( 'wp_ajax_nopriv_lp_get_template_meta', 'lp_get_template_meta' );
add_action( 'wp_ajax_lp_get_template_meta', 'lp_get_template_meta' );

function lp_get_template_meta()
{
	global $wpdb;
	$current_template = $_POST['selected_template'];
	$post_id = $_POST['post_id'];
	$post = get_post($post_id);

	//echo $current_template; exit;
	$key['args']['key'] = $current_template;

	lp_show_metabox($post,$key);
	die();
}

/**
 * Add ajax for post meta save options
 */

add_action( 'wp_ajax_nopriv_wp_landing_page_meta_save', 'wp_landing_page_meta_save' );
add_action( 'wp_ajax_wp_landing_page_meta_save', 'wp_landing_page_meta_save' );

function wp_landing_page_meta_save()
{
	global $wpdb;
	if ( !wp_verify_nonce( $_POST['nonce'], "wp-landing-page-meta-nonce")) {
		 exit("Wrong nonce");
	}
	$new_meta_val = $_POST['new_meta_val'];
	$meta_id = $_POST['meta_id'];
	$post_id = mysql_real_escape_string($_POST['page_id']);
	if ($meta_id === "main_title")
	{
		$my_post = array();
		$my_post['ID'] = $post_id;
		$my_post['post_title'] = $new_meta_val;
		// Update the post into the database
		wp_update_post( $my_post );
	}
	if ($meta_id === "the_content")
	{
		$title_save = get_post_meta($post_id, "lp-main-headline", true); // fix content from removing title
		$my_post = array();
		$my_post['ID'] = $post_id;
		$my_post['post_content'] = $new_meta_val;
		// Update the post into the database
		wp_update_post( $my_post );
		add_post_meta( $post_id, "lp-main-headline", $title_save, true ) or update_post_meta( $post_id, "lp-main-headline", $title_save ); // fix main headline removal
	}
	else
	{
	  add_post_meta( $post_id, $meta_id, $new_meta_val, true ) or update_post_meta( $post_id, $meta_id, $new_meta_val );
	}

	header('HTTP/1.1 200 OK');
}

?>